# Generated from angular_automation-1.0.10.gem by gem2rpm -*- rpm-spec -*-
%global gem_name angular_automation

Name: rubygem-%{gem_name}
Version: 1.0.10
Release: 1%{?dist}
Summary: Collection of angular automation gems
License: http://www.apache.org/licenses/LICENSE-2.0.txt
URL: https://github.com/bootstraponline/angular_automation
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(appium_thor) >= 1.0.1
BuildArch: noarch

%description
Collection of angular automation gems.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Thorfile
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/angular_automation.gemspec
%doc %{gem_instdir}/release_notes.md

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.10-1
- Initial package
